<?php

    include_once( PLOG_CLASS_PATH."class/object/object.class.php" );
    
    class TerminalInfo extends Object
    {
        var $_headers;
        var $_def;
    
        function TerminalInfo( $terminalDef, $headers )
        {
            $this->Object();
            
            $this->_def = $terminalDef;
            $this->_headers = $headers;
        }
        
        function getRegexp()
        {
            return( $this->_def["regexp"] );
        }
        
        function getContent()
        {
            return( $this->_def["content"] );
        }
        
        function getContentType()
        {
            return( $this->_def["content-type"] );
        }
        
        function getId()
        {
            return( $this->_def["id"] );
        }
        
        function getDesc()
        {
            return( $this->_def["desc"] );
        }
        
        function getDescription()
        {
            return( $this->getDesc());
        }
        
        function getUserAgent()
        {
            return( $this->_headers["HTTP_USER_AGENT"] );
        }
        
        function getAcceptTypes()
        {
            return( $this->_headers["HTTP_ACCEPT"] );
        }
        
        function getNumItemsPerPage()
        {
            return( $this->_def["itemsPerPage"] );
        }
    }
?>